# Get Product GET https://api.shipbob.com/2.0/product/{productId} Reference: https://developer.shipbob.com/api/products/get-product ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2.0 version: 1.0.0 paths: /2.0/product/{productId}: get: operationId: get-product summary: | Get Product tags: - subpackage_products parameters: - name: productId in: path description: '' required: true schema: type: string format: int64 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: '#/components/schemas/Products.ProductViewModel' '400': description: Bad Request content: application/json: schema: $ref: >- #/components/schemas/Products.Get.Api.Product.ProductId.Bad.Request.Object '404': description: Not Found content: application/json: schema: $ref: >- #/components/schemas/Products.Get.Api.Product.ProductId.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Products.EnumViewModel: type: object properties: id: type: integer format: int64 name: type: - string - 'null' title: Products.EnumViewModel Products.AssociatedBundlesViewModel: type: object properties: product_id: type: integer format: int64 product_name: type: - string - 'null' quantity: type: integer variant_id: type: integer format: int64 variant_sku: type: - string - 'null' title: Products.AssociatedBundlesViewModel Products.BundleDefinitionViewModel: type: object properties: product_id: type: integer format: int64 quantity: type: integer variant_id: type: integer format: int64 variant_name: type: - string - 'null' variant_sku: type: - string - 'null' title: Products.BundleDefinitionViewModel Products.CustomsViewModel: type: object properties: country_code_of_origin: type: - string - 'null' currency: type: - string - 'null' description: type: - string - 'null' hs_tariff_code: type: - string - 'null' is321_eligible: type: boolean value: type: - integer - 'null' title: Products.CustomsViewModel Products.DimensionViewModel: type: object properties: height: type: number format: double length: type: number format: double unit: type: - string - 'null' width: type: number format: double title: Products.DimensionViewModel Products.SerialScanViewModel: type: object properties: exact_character_length: type: - integer - 'null' is_enabled: type: boolean prefix: type: - string - 'null' suffix: type: - string - 'null' title: Products.SerialScanViewModel Products.FulfillmentSettingsViewModel: type: object properties: dangerous_goods: type: boolean is_bpm_parcel: type: boolean is_case_pick: type: boolean msds_url: type: - string - 'null' requires_prop65: type: boolean serial_scan: $ref: '#/components/schemas/Products.SerialScanViewModel' title: Products.FulfillmentSettingsViewModel Products.InventoryViewModel: type: object properties: inventory_id: type: - integer - 'null' on_hand_qty: type: integer title: Products.InventoryViewModel Products.LotInformationViewModel: type: object properties: is_lot: type: boolean minimum_shelf_life_days: type: - integer - 'null' title: Products.LotInformationViewModel Products.ReturnPreferencesViewModel: type: object properties: backup_action: $ref: '#/components/schemas/Products.EnumViewModel' instructions: type: - string - 'null' primary_action: $ref: '#/components/schemas/Products.EnumViewModel' return_to_sender_backup_action: $ref: '#/components/schemas/Products.EnumViewModel' return_to_sender_primary_action: $ref: '#/components/schemas/Products.EnumViewModel' title: Products.ReturnPreferencesViewModel Products.WeightViewModel: type: object properties: unit: type: - string - 'null' weight: type: number format: double title: Products.WeightViewModel Products.ChannelMetadataViewModel: type: object properties: channel_id: type: integer format: int64 channel_name: type: - string - 'null' currency: type: - string - 'null' id: type: integer format: int64 is_inventory_sync_enabled: type: boolean legacy_product_id: type: - integer - 'null' format: int64 platform: type: - string - 'null' platform_identifier: type: - string - 'null' platform_inventory_item_id: type: - string - 'null' price: type: number format: double seller_sku: type: - string - 'null' title: Products.ChannelMetadataViewModel Products.AmazonChannelMetadataViewModel: type: object properties: channel_id: type: integer format: int64 channel_name: type: - string - 'null' currency: type: - string - 'null' id: type: integer format: int64 is_inventory_sync_enabled: type: boolean legacy_product_id: type: - integer - 'null' format: int64 platform: type: - string - 'null' platform_identifier: type: - string - 'null' platform_inventory_item_id: type: - string - 'null' price: type: number format: double seller_sku: type: - string - 'null' asin: type: - string - 'null' fnsku: type: - string - 'null' fulfillment_channel: type: - string - 'null' title: Products.AmazonChannelMetadataViewModel Products.BigCommerceChannelMetadataViewModel: type: object properties: channel_id: type: integer format: int64 channel_name: type: - string - 'null' currency: type: - string - 'null' id: type: integer format: int64 is_inventory_sync_enabled: type: boolean legacy_product_id: type: - integer - 'null' format: int64 platform: type: - string - 'null' platform_identifier: type: - string - 'null' platform_inventory_item_id: type: - string - 'null' price: type: number format: double seller_sku: type: - string - 'null' platform_product_id: type: - integer - 'null' format: int64 platform_variant_id: type: - integer - 'null' format: int64 title: Products.BigCommerceChannelMetadataViewModel Products.ShopifyChannelMetadataViewModel: type: object properties: channel_id: type: integer format: int64 channel_name: type: - string - 'null' currency: type: - string - 'null' id: type: integer format: int64 is_inventory_sync_enabled: type: boolean legacy_product_id: type: - integer - 'null' format: int64 platform: type: - string - 'null' platform_identifier: type: - string - 'null' platform_inventory_item_id: type: - string - 'null' price: type: number format: double seller_sku: type: - string - 'null' title: Products.ShopifyChannelMetadataViewModel ProductsVariantViewModelChannelMetadataItems: oneOf: - $ref: '#/components/schemas/Products.ChannelMetadataViewModel' - $ref: '#/components/schemas/Products.AmazonChannelMetadataViewModel' - $ref: '#/components/schemas/Products.BigCommerceChannelMetadataViewModel' - $ref: '#/components/schemas/Products.ShopifyChannelMetadataViewModel' title: ProductsVariantViewModelChannelMetadataItems Products.VariantViewModel: type: object properties: associated_bundles: type: - array - 'null' items: $ref: '#/components/schemas/Products.AssociatedBundlesViewModel' barcode: type: - string - 'null' bundle_definition: type: - array - 'null' items: $ref: '#/components/schemas/Products.BundleDefinitionViewModel' created_on: type: string format: date-time customs: $ref: '#/components/schemas/Products.CustomsViewModel' dimension: $ref: '#/components/schemas/Products.DimensionViewModel' fulfillment_settings: $ref: '#/components/schemas/Products.FulfillmentSettingsViewModel' gtin: type: - string - 'null' id: type: integer format: int64 inventory: $ref: '#/components/schemas/Products.InventoryViewModel' is_digital: type: boolean lot_information: $ref: '#/components/schemas/Products.LotInformationViewModel' name: type: - string - 'null' packaging_material_type: $ref: '#/components/schemas/Products.EnumViewModel' packaging_requirement: $ref: '#/components/schemas/Products.EnumViewModel' return_preferences: $ref: '#/components/schemas/Products.ReturnPreferencesViewModel' sku: type: - string - 'null' status: type: - string - 'null' upc: type: - string - 'null' updated_on: type: - string - 'null' format: date-time weight: $ref: '#/components/schemas/Products.WeightViewModel' channel_metadata: type: - array - 'null' items: $ref: '#/components/schemas/ProductsVariantViewModelChannelMetadataItems' title: Products.VariantViewModel Products.ProductViewModel: type: object properties: category: $ref: '#/components/schemas/Products.EnumViewModel' created_on: type: string format: date-time id: type: integer format: int64 name: type: - string - 'null' sub_category: $ref: '#/components/schemas/Products.EnumViewModel' type: type: - string - 'null' updated_on: type: - string - 'null' format: date-time user_id: type: integer format: int64 variants: type: - array - 'null' items: $ref: '#/components/schemas/Products.VariantViewModel' title: Products.ProductViewModel Products.Get.Api.Product.ProductId.Bad.Request.Object: type: object additionalProperties: type: array items: type: string title: Products.Get.Api.Product.ProductId.Bad.Request.Object Products.ProblemDetails: type: object properties: detail: type: - string - 'null' instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' title: Products.ProblemDetails Products.HttpValidationProblemDetails: type: object properties: detail: type: - string - 'null' instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' errors: type: - object - 'null' additionalProperties: type: array items: type: string title: Products.HttpValidationProblemDetails Products.Get.Api.Product.ProductId.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails: oneOf: - $ref: '#/components/schemas/Products.ProblemDetails' - $ref: '#/components/schemas/Products.HttpValidationProblemDetails' title: >- Products.Get.Api.Product.ProductId.Not.Found.OneOf.ProblemDetails.HttpValidationProblemDetails securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python Products_getProduct_example import requests url = "https://api.shipbob.com/2.0/product/productId" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Products_getProduct_example const url = 'https://api.shipbob.com/2.0/product/productId'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Products_getProduct_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2.0/product/productId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Products_getProduct_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2.0/product/productId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Products_getProduct_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2.0/product/productId") .header("Authorization", "Bearer ") .asString(); ``` ```php Products_getProduct_example request('GET', 'https://api.shipbob.com/2.0/product/productId', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Products_getProduct_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2.0/product/productId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Products_getProduct_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2.0/product/productId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```